## ros-lunar-rosapi 0.10.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(rosapi)

find_package(catkin REQUIRED COMPONENTS message_generation)
catkin_python_setup()

add_message_files(
  FILES
  TypeDef.msg
)

add_service_files(
  FILES
  DeleteParam.srv
  GetActionServers.srv
  GetParam.srv
  GetParamNames.srv
  GetTime.srv
  HasParam.srv
  MessageDetails.srv
  Nodes.srv
  NodeDetails.srv
  Publishers.srv
  SearchParam.srv
  ServiceHost.srv
  ServiceNode.srv
  ServiceProviders.srv
  ServiceRequestDetails.srv
  ServiceResponseDetails.srv
  Services.srv
  ServicesForType.srv
  ServiceType.srv
  SetParam.srv
  Subscribers.srv
  Topics.srv
  TopicsForType.srv
  TopicType.srv
)

generate_messages(
  DEPENDENCIES
)

catkin_package(
  CATKIN_DEPENDS message_runtime
)

install(PROGRAMS scripts/rosapi_node
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

=== debian/changelog ===
ros-lunar-rosapi (0.10.1-0xenial) xenial; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Sat, 15 Dec 2018 15:00:00 -0000

ros-lunar-rosapi (0.10.0-0xenial) xenial; urgency=high

  * Drop use of ros Python module (#374 <https://github.com/RobotWebTools/rosbridge_suite/issues/374>)
  * Fixes passing of globs to proxy (#355 <https://github.com/RobotWebTools/rosbridge_suite/issues/355>)
    * Fixes handling and passing of globs to proxy
    * Removes some confusing imports
  * Fix a few problems (#350 <https://github.com/RobotWebTools/rosbridge_suite/issues/350>)
    * xrange is not available in Python3, range works for both Python versions
    * the variable v is undefined in search_param, comparing the implementation with the sibling functions I expect name to be the intended variable
    * The module udp_handler is using the Authentication service but wasn't importing the module
  * use package format 2, remove unnecessary dependencies (#348 <https://github.com/RobotWebTools/rosbridge_suite/issues/348>)
  * Contributors: Anwar, Dirk Thomas, Jochen Sprickerhof

 -- Russell Toris <rctoris@wpi.edu>  Thu, 13 Dec 2018 15:00:00 -0000

ros-lunar-rosapi (0.9.0-0xenial) xenial; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Sun, 08 Apr 2018 15:00:00 -0000

ros-lunar-rosapi (0.8.6-0xenial) xenial; urgency=high

  * Fixed action_servers filter to allow more than one namespace (#305 <https://github.com/RobotWebTools/rosbridge_suite/issues/305>)
    * Modified action_servers filter to detect topics with more than one namespace
    * Fixed to return the full namespace
  * Contributors: milesial

 -- Russell Toris <rctoris@wpi.edu>  Thu, 07 Dec 2017 15:00:00 -0000

ros-lunar-rosapi (0.8.5-0xenial) xenial; urgency=high

  * Add Python3 compatibility (#300 <https://github.com/RobotWebTools/rosbridge_suite/issues/300>)
    * First pass at Python 3 compatibility
    * message_conversion: Only call encode on a Python2 str or bytes type
    * protocol.py: Changes for dict in Python3. Compatible with Python 2 too.
    * More Python 3 fixes, all tests pass
    * Move definition of string_types to rosbridge_library.util
  * Contributors: Kartik Mohta

 -- Russell Toris <rctoris@wpi.edu>  Wed, 22 Nov 2017 15:00:00 -0000

ros-lunar-rosapi (0.8.4-0xenial) xenial; urgency=high

  * Handles empty globes properly (#297 <https://github.com/RobotWebTools/rosbridge_suite/issues/297>)
    * Refactors get_globs function to a separate module
    * Refactors the filtering that uses the globs
    * Some linting
    * Handles topic types for empty globs
    * Refactors out an any_match function
    * Simplifies filter_action_servers
    * Imports socket for the errors
    * Uses import .glob_helper
  * Contributors: Anwar

 -- Russell Toris <rctoris@wpi.edu>  Sun, 15 Oct 2017 15:00:00 -0000

ros-lunar-rosapi (0.8.3-0xenial) xenial; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Sun, 10 Sep 2017 15:00:00 -0000

ros-lunar-rosapi (0.8.2-0xenial) xenial; urgency=high

  * Removes array delimiters while parsing parameters (#292 <https://github.com/RobotWebTools/rosbridge_suite/issues/292>)
  * Contributors: Anwar

 -- Russell Toris <rctoris@wpi.edu>  Sun, 10 Sep 2017 15:00:00 -0000

ros-lunar-rosapi (0.8.1-0xenial) xenial; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Tue, 29 Aug 2017 15:00:00 -0000

ros-lunar-rosapi (0.8.0-0xenial) xenial; urgency=high

  * fix delete_param in rosapi (#284 <https://github.com/RobotWebTools/rosbridge_suite/issues/284>)
  * Merge pull request #276 <https://github.com/RobotWebTools/rosbridge_suite/issues/276> from sevenbitbyte/DOCUMENT_GLOB
    Document glob
  * Update README.md
    Formatting and examples
  * Create README.md
  * Contributors: 7bit, Jihoon Lee

 -- Russell Toris <rctoris@wpi.edu>  Tue, 29 Aug 2017 15:00:00 -0000

ros-lunar-rosapi (0.7.17-0xenial) xenial; urgency=high

  * Added bug fix in rosapi
  * no rospy needed, just for debug logging
  * new service: get actionlib servers
  * adjust log level for security globs
    Normal operation (i.e. no globs or successful verification of requests) is now silent, with illegal requests producing a warning.
  * correct default values for security globs
    also accept empty list as the default "do not check globs" value in addition to None.
    Finally, append rosapi service glob after processing command line input so it's not overwritten
  * Added services_glob to CallServices, added globs to rosbridge_tcp and rosbridge_udp, and other miscellanous fixes.
  * As per the suggestions of @T045T, fixed several typos, improved logging, and made some style fixes.
  * Fixed time object field definitions to match documentation.
  * Two minor fixes.
  * Added new parameters for topic and service security.
    Added 3 new parameters to rosapi and rosbridge_server which filter the
    topics, services, and parameters broadcast by the server to match an
    array of glob strings.
  * Contributors: Devon Ash, Eric, Marco Arruda, Nils Berg

 -- Russell Toris <rctoris@wpi.edu>  Tue, 24 Jan 2017 15:00:00 -0000

ros-lunar-rosapi (0.7.16-0xenial) xenial; urgency=high

  * new srv: topics types and details
  * Contributors: Marco Arruda

 -- Russell Toris <rctoris@wpi.edu>  Sun, 14 Aug 2016 15:00:00 -0000

ros-lunar-rosapi (0.7.15-0xenial) xenial; urgency=high

  * changelog updated
  * Contributors: Russell Toris

 -- Russell Toris <rctoris@wpi.edu>  Sun, 24 Apr 2016 15:00:00 -0000

ros-lunar-rosapi (0.7.14-0xenial) xenial; urgency=high

  * Update proxy.py
    Fixes an issue when call the service "/rosapi/service_type"
  * Contributors: Robert Codd-Downey

 -- Russell Toris <rctoris@wpi.edu>  Wed, 10 Feb 2016 15:00:00 -0000

ros-lunar-rosapi (0.7.13-0xenial) xenial; urgency=high

  * Fix catkin_lint issues
  * Contributors: Matt Vollrath

 -- Russell Toris <rctoris@wpi.edu>  Thu, 13 Aug 2015 15:00:00 -0000

ros-lunar-rosapi (0.7.12-0xenial) xenial; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Mon, 06 Apr 2015 15:00:00 -0000



=== debian/control ===
Source: ros-lunar-rosapi
Section: misc
Priority: extra
Maintainer: Russell Toris <rctoris@wpi.edu>
Build-Depends: debhelper (>= 9.0.0), ros-lunar-catkin, ros-lunar-message-generation
Homepage: http://ros.org/wiki/rosapi
Standards-Version: 3.9.2

Package: ros-lunar-rosapi
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-lunar-message-runtime, ros-lunar-rosbridge-library, ros-lunar-rosgraph, ros-lunar-rosnode, ros-lunar-rospy
Description: Provides service calls for getting ros meta-information, like list of topics, services, params, etc.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/lunar/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/lunar" \
		-DCMAKE_PREFIX_PATH="/opt/ros/lunar"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-lunar-rosapi//opt/ros/lunar/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_install
